Arrow = Class{}

function Arrow:init(x, y, r)

    self.image = love.graphics.newImage('arrowpic.png')
    
    self.width = self.image:getWidth()
    self.height = self.image:getHeight()

    self.x = x
    self.y = y

    self.ox = self.width / 2
    self.oy = self.height / 2

    self.rotation = math.deg(0)

end

function Arrow:update(dt)
    
    if love.keyboard.wasPressed('space') then
        self.rotation = math.deg(90)
    end

    if love.keyboard.wasPressed('up') then
        if self.rotation == math.deg(0) then
            self.y = self.y - 49
        elseif self.rotation == math.deg(90) then
            self.x = self.x + 49
        elseif self.rotation == math.deg(180) then
            self.y = self.y + 49
        elseif self.rotation == math.deg(270) then
            self.x = self.x - 49
        end
    end
end

function Arrow:render()

    love.graphics.draw(self.image, self.x, self.y, self.rotation, 0, 0, self.ox, self.oy)
   
end

    